DECLARE SUB Stats ()
DECLARE SUB TalkTattooMan ()
DECLARE SUB CannotGo ()
DECLARE SUB Street3 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB TalkTattooMan
  CLS
  PRINT "The heavy man looks at you with piggish eyes.  His hair is gone and his nose"
  PRINT "is filled with a brass ring.  A coiled serpent fighting with an eagle is"
  PRINT "emblazoned on his chest in vivid colors."
  COLOR 15, 0, 9: PRINT "Yeah?"
Talk:
  COLOR 7, 0, 8: LINE INPUT "? "; a$: a$ = UCASE$(a$)
  COLOR 15, 0, 9
  IF a$ = "NAME" THEN PRINT "Joe the Bull.": GOTO Talk
  IF a$ = "JOB" THEN PRINT "I draw.  On people.  With needles.  Ha!": GOTO Talk
  IF a$ = "NEEDLE" OR a$ = "NEEDLES" THEN PRINT "Yeah.  Needles.": GOTO Talk
  IF a$ = "DRAW" THEN PRINT "Tattoos.  What else?": GOTO Talk
  IF a$ = "TATTOO" OR a$ = "TATTOOS" THEN PRINT "Yeah.  I'm not half bad either.": GOTO Talk
  IF a$ = "NOSE" OR a$ = "RING" OR a$ = "NOSE RING" OR a$ = "BRASS RING" OR a$ = "BULL" THEN PRINT "Heh heh.  Ya need a nose ring, too.": GOTO Talk
  IF a$ = "ANIMAL" OR a$ = "ANIMALS" OR a$ = "SERPENT" OR a$ = "EAGLE" OR a$ = "CHEST" THEN PRINT "I like animals fighting.": GOTO Talk
  IF a$ = "FIGHT" OR a$ = "FIGHTING" THEN PRINT "Good for a laugh, ya know.": GOTO Talk
  IF a$ = "BALD" OR a$ = "HAIR" THEN PRINT "Ya lookin' to wind up in a shallow grave?": GOTO Talk
  IF a$ = "BYE" OR a$ = "GOODBYE" THEN GOTO EndConversation
  b = INT((3) * RND)
  IF b = 0 THEN PRINT "Whadda ya want?"
  IF b = 1 THEN PRINT "Ya wanna tattoo?"
  IF b = 2 THEN PRINT "I got better things to do."
  GOTO Talk

EndConversation:
  COLOR 7, 0, 8
END SUB

SUB TattooParlor

RestoreRoom = 12
Room:
  CLS
  PRINT "You are standing inside a seedy tattoo parlor.  Decorated men and women stand"
  PRINT "in small groups showing off their newest body art.  A heavy-set man with a ring"
  PRINT "in his nose stands ready for the next brave customer."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Street3
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "TALK MAN" THEN TalkTattooMan: GOTO Room
  IF a$ = "GET TATTOO" OR a$ = "BUY TATTOO" OR a$ = "GET TATTOOED" THEN PRINT "Body art just doesn't really hit the spot right now.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "The mass of heavy bodies keeps you from finding anything interesting."
  GOTO Command

END SUB

